﻿/**Begin D:\PDM_UPGRADE\PDM1\WTOM_constraint.sql **/
 EXEC P_ALTERPK 'PK_WTOM_OVERWORKTYPE', 'T_WTOM_OVERWORKTYPE', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTOM_OVERWORKTYPE') CREATE INDEX IDX_WTOM_OVERWORKTYPE ON T_WTOM_OVERWORKTYPE ( FBASEDATAID );


 EXEC P_ALTERPK 'PK_WTOM_OTAPPLYDENTRY', 'T_WTOM_OTAPPLYDENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTOM_OTAPPLYDENTRY') CREATE INDEX IDX_WTOM_OTAPPLYDENTRY ON T_WTOM_OTAPPLYDENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTOM_SDDUTYDATE') CREATE INDEX IDX_WTOM_SDDUTYDATE ON T_WTOM_OTAPPLYDENTRY ( FOTDUTYDATE );


 EXEC P_ALTERPK 'PK_WTOM_OTAPPLYPENTRY', 'T_WTOM_OTAPPLYPENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTOM_OTAPPLYPENTRY') CREATE INDEX IDX_WTOM_OTAPPLYPENTRY ON T_WTOM_OTAPPLYPENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTOM_SCDUTYDATE') CREATE INDEX IDX_WTOM_SCDUTYDATE ON T_WTOM_OTAPPLYPENTRY ( FDUTYDATE );


 EXEC P_ALTERPK 'PK_WTOM_OTAPPLY', 'T_WTOM_OTAPPLY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTOM_OTAPPLY') CREATE INDEX IDX_WTOM_OTAPPLY ON T_WTOM_OTAPPLY ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTOM_OTAPPLY_P') CREATE INDEX IDX_WTOM_OTAPPLY_P ON T_WTOM_OTAPPLY ( FATTPERSONID );



/**End D:\PDM_UPGRADE\PDM1\WTOM_constraint.sql **/
