﻿/**Begin D:\PDM_UPGRADE\PDM1\WTOM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTOM_OVERWORKTYPE')
 CREATE TABLE T_WTOM_OVERWORKTYPE (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTOM_OTAPPLYDENTRY')
 CREATE TABLE T_WTOM_OTAPPLYDENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FOTSTARTDATE DATETIME,
FOTENDDATE DATETIME,
FOTTIME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FATTPERSONID BIGINT DEFAULT 0 NOT NULL,
FINTOTTIME INT DEFAULT 0 NOT NULL,
FCOMPENTYPEDID BIGINT DEFAULT 0 NOT NULL,
FOTRESON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOTDUTYDATE DATETIME,
FSDOTTYPE BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTOM_OTAPPLYPENTRY')
 CREATE TABLE T_WTOM_OTAPPLYPENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FOTDATE DATETIME,
FOTDTIME INT DEFAULT 0 NOT NULL,
FATTPERSONID BIGINT DEFAULT 0 NOT NULL,
FCOMPENTYPEID BIGINT DEFAULT 0 NOT NULL,
FOTRESON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDUTYDATE DATETIME,
FOTDSTARTTIME DATETIME,
FOTDENDTIME DATETIME,
FSCOTTYPE BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTOM_OTAPPLY')
 CREATE TABLE T_WTOM_OTAPPLY (
FID BIGINT DEFAULT 0 NOT NULL,
FOTAPPLYTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FATTPERSONID BIGINT DEFAULT 0 NOT NULL,
FATTFILEID BIGINT DEFAULT 0 NOT NULL,
FEMPID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FISEXISTSWORKFLOW CHAR(1) DEFAULT ' ' NOT NULL,
FAUDITSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FINPUTDEVICETYPE VARCHAR(120) DEFAULT ' ' NOT NULL,
FISSUBMIT CHAR(1) DEFAULT ' ' NOT NULL,
FVATIME BIGINT DEFAULT 0 NOT NULL,
FVATIMETEXT VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FSUBMITDATE DATETIME,
FSUBMITTER BIGINT DEFAULT 0 NOT NULL,
FPERSONNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FAPPLYTYPERADIO VARCHAR(10) DEFAULT ' ' NOT NULL,
FATTFILEBASEID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\WTOM_table.sql **/
